這個外掛並未在最新的 3 個 WordPress 主要版本上進行測試。開發者可能不再對這個外掛進行維護或提供技術支援,並可能會與更新版本的 WordPress 產生使用上的相容性問題。

Manage Customized Plugin Updates

外掛說明

Are you a web developer or website design company who has installed / customized plugins for your clients and you’re having a hard time managing plugin upgrades? Maybe your client tries to upgrade plugins themselves and you end up losing all the customization done to that plugin.

Here is a plugin that can help you better manage customized plugins. It displays a message to your clients warning them about doing the upgrade.

Features:

  1. Mark any plugin as being customized
  2. Tags to identify customized plugins on the WordPress plugin page
  3. Alert to show the customization notes

Short Description

Here’s a plugin that can help you better manage customized plugins and display a message to your clients warning them about doing the upgrade.

螢幕擷圖

  • screenshot-1.png
  • screenshot-2.png
  • screenshot-3.png
  • screenshot-4.png
  • screenshot-5.png

安裝方式

Option 1:

  1. Install the plugin in the Dashboard => Plugins menu => Add New => Upload => Select the zip file => Install Now
  2. Activate plugin in the Dashboard => Plugins menu
  3. After activating the plugin, it redirects you to the plugin’s Settings page. Please fill in the required information and save the settings.

Option 2:

  1. Upload the ‘manage-customized-plugin-updates’ folder to the ‘/wp-content/plugins/’ directory
  2. Activate the plugin through the ‘Plugins’ menu in WordPress

GETTING STARTED

Here are few steps to know more about the plugin workflow:

  1. After activating the plugin, it redirects you to the plugin’s Settings page. Please mark the plugin that you do not want to update.
  2. Go to the Plugins page and see the plugins are marked as customized.

常見問題集

After activating the plugin what should I do?

You will be redirected to the settings screen to mark the plugin(s) customized. Enter your notes to the customized plugin.

Can we still ‘update’ the customized plugin?

Yes, you can update the plugin if it is marked as customized. You have to click the “Update Now” link from the plugin page.

An alert will be showed with customization deatils. You can click “Update at your own risk!” to update the plugin. But all your customization might get lost.

使用者評論

2022 年 9 月 10 日
This is a very helpful plugin to remind admins not to update customized plugins. It works as expected.
2018 年 5 月 28 日
I've been using this plugin for a couple of weeks and it has been great. I especially love that I can leave a note to go along with each plugin that I tag as customized. There I can summarize the customization that I've done. I don't often customize plugin files, but sometimes it's the only way. When go to update plugins in the future, I know I'll be very happy that I left myself some notes about what changes I made.
閱讀全部 2 則使用者評論

參與者及開發者

以下人員參與了開源軟體〈Manage Customized Plugin Updates〉的開發相關工作。

參與者

變更記錄

1.0

  • Block all the options of plugin updates when marked as customized.

1.1

  • Fixed the warnings
  • Updated the plugin to be compatible with 5.0

1.2

  • Updated the plugin to be compatible with 5.2.2

1.3

  • Updated the plugin to be compatible with 5.3.2

1.4

  • Updated the plugin to be compatible with 5.4

1.5

  • Updated the plugin to be compatible with 5.4.2

1.6

  • Fixed warnings

1.7

=
* Fixed warnings
* Updated the plugin to be compatible with 5.5

1.8

=
* Updated the plugin to be compatible with 5.6

1.9

=
* Updated the plugin to be compatible with 5.7.2

1.10

=
* Updated the plugin to be compatible with 5.8

2.0

=
* Updated the plugin to be compatible with 5.8

2.1

=
* Updated the plugin to be compatible with 5.8.1

2.2

  • Fixed php warnings

2.3

=
* Updated the plugin to be compatible with 5.8.2

2.4

=
* Updated the plugin to be compatible with 5.8.3

2.5

=
* Updated the plugin to be compatible with 5.9

2.6

=
* Updated the plugin to be compatible with 5.9.1

2.7

=
* Updated the plugin to be compatible with 5.9.2

2.8

=
* Updated the plugin to be compatible with 5.9.3

2.9

=
* Updated the plugin to be compatible with 6.0

3.0

=
* Updated the plugin to be compatible with 6.0.1

3.1

=
* Updated the plugin to be compatible with 6.0.2

3.2

=
* Updated the plugin to be compatible with 6.1.1